This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 133800 - mount can't allocate memory for 105th filesystem
mount can't allocate memory for 105th filesystem
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Preslan
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-27 12:23 EDT by Corey Marthaler
Modified: 2010-01-11 21:59 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-13 17:31:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2004-09-27 12:23:55 EDT
Description of problem:
Mount fails when attempting 105th fs mount.
[root@morph-01 root]# mount -t gfs /dev/corey/lvol105 /mnt/corey105
mount: Cannot allocate memory

If I umount one of the 104 mounted fs, I am them able to do
an additional mount but no more than that.

The system has plently of memory available and no swap is even being
used. 

Here is the top output sorted by memory usage:


top - 11:21:38 up 33 min,  2 users,  load average: 0.35, 0.30, 0.39
Tasks: 915 total,   1 running, 914 sleeping,   0 stopped,   0 zombie
Cpu(s):  0.2% us,  1.2% sy,  0.0% ni, 98.6% id,  0.0% wa,  0.0% hi, 
0.0% si
Mem:   4025008k total,   314768k used,  3710240k free,    36524k buffers
Swap:  1044216k total,        0k used,  1044216k free,    72752k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 3895 root      16   0 27568  26m 1628 S  0.0  0.7   0:00.06 clvmd
 1916 root      16   0  7052 2824 6220 S  0.0  0.1   0:00.04 sendmail
 2001 xfs       16   0  4352 2704 2388 S  0.0  0.1   0:00.02 xfs
 1925 smmsp     18   0  6144 2420 5324 S  0.0  0.1   0:00.00 sendmail
 7819 root      16   0  7312 2184 6856 S  0.0  0.1   0:00.24 sshd
 1676 root      16   0  7604 1996 5956 S  0.0  0.0   0:00.01 cupsd
 1885 root      15   0  3652 1464 3436 S  0.0  0.0   0:00.32 sshd
 3760 root      17   0 12124 1428 2688 S  0.0  0.0   0:00.01 ccsd
Comment 1 Corey Marthaler 2004-09-27 12:29:45 EDT
[root@morph-01 root]# cat /proc/meminfo 
MemTotal:      4025008 kB 
MemFree:       3710816 kB 
Buffers:         36524 kB 
Cached:          72752 kB 
SwapCached:          0 kB 
Active:          76536 kB 
Inactive:        64848 kB 
HighTotal:     3145152 kB 
HighFree:      2931008 kB 
LowTotal:       879856 kB 
LowFree:        779808 kB 
SwapTotal:     1044216 kB 
SwapFree:      1044216 kB 
Dirty:               0 kB 
Writeback:           0 kB 
Mapped:          38504 kB 
Slab:            51276 kB 
Committed_AS:    50032 kB 
PageTables:        752 kB 
VmallocTotal:   114680 kB 
VmallocUsed:    113964 kB 
VmallocChunk:      624 kB 
HugePages_Total:     0 
HugePages_Free:      0 
Hugepagesize:     4096 kB 
 
Comment 2 Corey Marthaler 2004-09-27 15:40:35 EDT
This is reproducable. 
 
[root@morph-01 root]# gfs_tool version 
gfs_tool DEVEL.1096298407 (built Sep 27 2004 10:21:27) 
Copyright (C) Red Hat, Inc.  2004  All rights reserved. 
 
Comment 3 Ken Preslan 2004-10-13 17:31:46 EDT
You can now mount 105 filesystems.

Note You need to log in before you can comment on or make changes to this bug.